Complete multi-part upload
curl --request POST \
--url https://api.example.com/v3/files/multipart-complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parts": [
{
"id": "<string>",
"number": 500
}
]
}
'import requests
url = "https://api.example.com/v3/files/multipart-complete"
payload = {
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parts": [
{
"id": "<string>",
"number": 500
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
file_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parts: [{id: '<string>', number: 500}]
})
};
fetch('https://api.example.com/v3/files/multipart-complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "3.0",
"kind": "NORMAL",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"created_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"updated_by": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"full_name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}{
"api_version": "3.0",
"kind": "ERROR",
"error": {
"code": 400,
"message": "Resource Not Found",
"errors": [
{
"reason": "ResourceNotFoundException",
"message": "Resource Not Found",
"help": "<string>"
}
]
}
}File Upload
Complete multi-part upload
Completes the multi-part upload process for a large file in Fiddler.
POST
/
v3
/
files
/
multipart-complete
Complete multi-part upload
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Multi-part upload request completed successfully.
⌘I